Makefile.in 19 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559
  1. # Makefile.in generated by automake 1.9.5 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005 Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. srcdir = @srcdir@
  14. top_srcdir = @top_srcdir@
  15. VPATH = @srcdir@
  16. pkgdatadir = $(datadir)/@PACKAGE@
  17. pkglibdir = $(libdir)/@PACKAGE@
  18. pkgincludedir = $(includedir)/@PACKAGE@
  19. top_builddir = ..
  20. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  21. INSTALL = @INSTALL@
  22. install_sh_DATA = $(install_sh) -c -m 644
  23. install_sh_PROGRAM = $(install_sh) -c
  24. install_sh_SCRIPT = $(install_sh) -c
  25. INSTALL_HEADER = $(INSTALL_DATA)
  26. transform = $(program_transform_name)
  27. NORMAL_INSTALL = :
  28. PRE_INSTALL = :
  29. POST_INSTALL = :
  30. NORMAL_UNINSTALL = :
  31. PRE_UNINSTALL = :
  32. POST_UNINSTALL = :
  33. build_triplet = @build@
  34. host_triplet = @host@
  35. target_triplet = @target@
  36. subdir = test
  37. DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
  38. $(srcdir)/config.in
  39. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  40. am__aclocal_m4_deps = $(top_srcdir)/configure.in
  41. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  42. $(ACLOCAL_M4)
  43. mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
  44. CONFIG_HEADER = $(top_builddir)/src/config.h
  45. CONFIG_CLEAN_FILES = config
  46. SOURCES =
  47. DIST_SOURCES =
  48. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  49. ACLOCAL = @ACLOCAL@
  50. AMDEP_FALSE = @AMDEP_FALSE@
  51. AMDEP_TRUE = @AMDEP_TRUE@
  52. AMTAR = @AMTAR@
  53. AR = @AR@
  54. AUTOCONF = @AUTOCONF@
  55. AUTOGEN = @AUTOGEN@
  56. AUTOHEADER = @AUTOHEADER@
  57. AUTOMAKE = @AUTOMAKE@
  58. AWK = @AWK@
  59. CC = @CC@
  60. CCDEPMODE = @CCDEPMODE@
  61. CFLAGS = @CFLAGS@
  62. CPP = @CPP@
  63. CPPFLAGS = @CPPFLAGS@
  64. CXX = @CXX@
  65. CXXCPP = @CXXCPP@
  66. CXXDEPMODE = @CXXDEPMODE@
  67. CXXFLAGS = @CXXFLAGS@
  68. CYGPATH_W = @CYGPATH_W@
  69. DEFS = @DEFS@
  70. DEPDIR = @DEPDIR@
  71. DVIPDFM = @DVIPDFM@
  72. DVIPS = @DVIPS@
  73. ECHO = @ECHO@
  74. ECHO_C = @ECHO_C@
  75. ECHO_N = @ECHO_N@
  76. ECHO_T = @ECHO_T@
  77. EGREP = @EGREP@
  78. EXEEXT = @EXEEXT@
  79. F77 = @F77@
  80. FFLAGS = @FFLAGS@
  81. FIG2DEV = @FIG2DEV@
  82. HAVE_DOCTOOLS_FALSE = @HAVE_DOCTOOLS_FALSE@
  83. HAVE_DOCTOOLS_TRUE = @HAVE_DOCTOOLS_TRUE@
  84. HAVE_LIBNIDS_FALSE = @HAVE_LIBNIDS_FALSE@
  85. HAVE_LIBNIDS_TRUE = @HAVE_LIBNIDS_TRUE@
  86. INSTALL_DATA = @INSTALL_DATA@
  87. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  88. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  89. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  90. LATEX2HTML = @LATEX2HTML@
  91. LDFLAGS = @LDFLAGS@
  92. LIBOBJS = @LIBOBJS@
  93. LIBOPTS_CFLAGS = @LIBOPTS_CFLAGS@
  94. LIBOPTS_LDADD = @LIBOPTS_LDADD@
  95. LIBS = @LIBS@
  96. LIBTOOL = @LIBTOOL@
  97. LNAVLIB = @LNAVLIB@
  98. LNAV_CFLAGS = @LNAV_CFLAGS@
  99. LNETINC = @LNETINC@
  100. LNETLIB = @LNETLIB@
  101. LNIDSINC = @LNIDSINC@
  102. LNIDSLIB = @LNIDSLIB@
  103. LN_S = @LN_S@
  104. LPCAPINC = @LPCAPINC@
  105. LPCAPLIB = @LPCAPLIB@
  106. LTLIBOBJS = @LTLIBOBJS@
  107. LYX = @LYX@
  108. MAINT = @MAINT@
  109. MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
  110. MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
  111. MAKEINFO = @MAKEINFO@
  112. NEED_LIBOPTS_FALSE = @NEED_LIBOPTS_FALSE@
  113. NEED_LIBOPTS_TRUE = @NEED_LIBOPTS_TRUE@
  114. OBJEXT = @OBJEXT@
  115. PACKAGE = @PACKAGE@
  116. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  117. PACKAGE_NAME = @PACKAGE_NAME@
  118. PACKAGE_STRING = @PACKAGE_STRING@
  119. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  120. PACKAGE_VERSION = @PACKAGE_VERSION@
  121. PATH_SEPARATOR = @PATH_SEPARATOR@
  122. PCAP_BPF_H_FILE = @PCAP_BPF_H_FILE@
  123. PRINTF = @PRINTF@
  124. RANLIB = @RANLIB@
  125. SET_MAKE = @SET_MAKE@
  126. SHELL = @SHELL@
  127. STRIP = @STRIP@
  128. SYSTEM_STRLCPY_FALSE = @SYSTEM_STRLCPY_FALSE@
  129. SYSTEM_STRLCPY_TRUE = @SYSTEM_STRLCPY_TRUE@
  130. TCPREPLAY_RELEASE = @TCPREPLAY_RELEASE@
  131. TCPREPLAY_VERSION = @TCPREPLAY_VERSION@
  132. TEXI2DVI = @TEXI2DVI@
  133. VERSION = @VERSION@
  134. ac_ct_AR = @ac_ct_AR@
  135. ac_ct_CC = @ac_ct_CC@
  136. ac_ct_CXX = @ac_ct_CXX@
  137. ac_ct_F77 = @ac_ct_F77@
  138. ac_ct_RANLIB = @ac_ct_RANLIB@
  139. ac_ct_STRIP = @ac_ct_STRIP@
  140. am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  141. am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  142. am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
  143. am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
  144. am__include = @am__include@
  145. am__leading_dot = @am__leading_dot@
  146. am__quote = @am__quote@
  147. am__tar = @am__tar@
  148. am__untar = @am__untar@
  149. bindir = @bindir@
  150. build = @build@
  151. build_alias = @build_alias@
  152. build_cpu = @build_cpu@
  153. build_os = @build_os@
  154. build_vendor = @build_vendor@
  155. datadir = @datadir@
  156. debug_flag = @debug_flag@
  157. exec_prefix = @exec_prefix@
  158. host = @host@
  159. host_alias = @host_alias@
  160. host_cpu = @host_cpu@
  161. host_os = @host_os@
  162. host_vendor = @host_vendor@
  163. includedir = @includedir@
  164. infodir = @infodir@
  165. install_sh = @install_sh@
  166. libdir = @libdir@
  167. libexecdir = @libexecdir@
  168. localstatedir = @localstatedir@
  169. mandir = @mandir@
  170. mkdir_p = @mkdir_p@
  171. nic1 = @nic1@
  172. nic2 = @nic2@
  173. oldincludedir = @oldincludedir@
  174. pcncfg = @pcncfg@
  175. prefix = @prefix@
  176. program_transform_name = @program_transform_name@
  177. sbindir = @sbindir@
  178. sharedstatedir = @sharedstatedir@
  179. sysconfdir = @sysconfdir@
  180. target = @target@
  181. target_alias = @target_alias@
  182. target_cpu = @target_cpu@
  183. target_os = @target_os@
  184. target_vendor = @target_vendor@
  185. td = @td@
  186. MAKEFLAGS = -s -k
  187. HOST = @host@
  188. TARGET = @target@
  189. BUILD = @build@
  190. ENABLE_DEBUG = @debug_flag@
  191. TCPPREP = ../src/tcpprep --no-arg-comment
  192. TCPREPLAY = ../src/tcpreplay
  193. TCPREWRITE = ../src/tcprewrite
  194. TCPBRIDGE = ../src/tcpbridge
  195. EXTRA_DIST = test.pcap test.auto_bridge test.auto_client test.auto_router \
  196. test.auto_server test.cidr test.comment test.port \
  197. test.prep_config test.primary test.regex test.secondary
  198. all: all-am
  199. .SUFFIXES:
  200. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
  201. @for dep in $?; do \
  202. case '$(am__configure_deps)' in \
  203. *$$dep*) \
  204. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
  205. && exit 0; \
  206. exit 1;; \
  207. esac; \
  208. done; \
  209. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
  210. cd $(top_srcdir) && \
  211. $(AUTOMAKE) --gnu test/Makefile
  212. .PRECIOUS: Makefile
  213. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  214. @case '$?' in \
  215. *config.status*) \
  216. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  217. *) \
  218. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  219. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  220. esac;
  221. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  222. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  223. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  224. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  225. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  226. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  227. config: $(top_builddir)/config.status $(srcdir)/config.in
  228. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  229. mostlyclean-libtool:
  230. -rm -f *.lo
  231. clean-libtool:
  232. -rm -rf .libs _libs
  233. distclean-libtool:
  234. -rm -f libtool
  235. uninstall-info-am:
  236. tags: TAGS
  237. TAGS:
  238. ctags: CTAGS
  239. CTAGS:
  240. distdir: $(DISTFILES)
  241. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  242. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  243. list='$(DISTFILES)'; for file in $$list; do \
  244. case $$file in \
  245. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  246. $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  247. esac; \
  248. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  249. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  250. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  251. dir="/$$dir"; \
  252. $(mkdir_p) "$(distdir)$$dir"; \
  253. else \
  254. dir=''; \
  255. fi; \
  256. if test -d $$d/$$file; then \
  257. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  258. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  259. fi; \
  260. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  261. else \
  262. test -f $(distdir)/$$file \
  263. || cp -p $$d/$$file $(distdir)/$$file \
  264. || exit 1; \
  265. fi; \
  266. done
  267. check-am: all-am
  268. check: check-am
  269. all-am: Makefile
  270. installdirs:
  271. install: install-am
  272. install-exec: install-exec-am
  273. install-data: install-data-am
  274. uninstall: uninstall-am
  275. install-am: all-am
  276. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  277. installcheck: installcheck-am
  278. install-strip:
  279. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  280. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  281. `test -z '$(STRIP)' || \
  282. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  283. mostlyclean-generic:
  284. clean-generic:
  285. distclean-generic:
  286. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  287. maintainer-clean-generic:
  288. @echo "This command is intended for maintainers to use"
  289. @echo "it deletes files that may require special tools to rebuild."
  290. clean-am: clean-generic clean-libtool mostlyclean-am
  291. distclean-am: clean-am distclean-generic distclean-libtool
  292. dvi: dvi-am
  293. dvi-am:
  294. html: html-am
  295. info: info-am
  296. info-am:
  297. install-data-am:
  298. install-exec-am:
  299. install-info: install-info-am
  300. install-man:
  301. installcheck-am:
  302. maintainer-clean-am: distclean-am maintainer-clean-generic
  303. mostlyclean: mostlyclean-am
  304. mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  305. pdf: pdf-am
  306. pdf-am:
  307. ps: ps-am
  308. ps-am:
  309. uninstall-am: uninstall-info-am
  310. .PHONY: all all-am check check-am clean clean-generic clean-libtool \
  311. distclean distclean-generic distclean-libtool distdir dvi \
  312. dvi-am html html-am info info-am install install-am \
  313. install-data install-data-am install-exec install-exec-am \
  314. install-info install-info-am install-man install-strip \
  315. installcheck installcheck-am installdirs maintainer-clean \
  316. maintainer-clean-generic mostlyclean mostlyclean-generic \
  317. mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
  318. uninstall-info-am
  319. test: all
  320. all: clearlog check tcpprep tcpreplay
  321. clearlog:
  322. -rm test.log
  323. check:
  324. $(PRINTF) "%s\n" "NOTICE: Tests must be run as root"
  325. $(PRINTF) "%s\n" "Sending traffic on '$(nic1)' and '$(nic2)'"
  326. # the cache files to be used as the standard; be sure to do a cvs commit
  327. # afterwords!
  328. standard:
  329. $(TCPPREP) -i test.pcap -o test.auto_router -a router
  330. $(TCPPREP) -i test.pcap -o test.auto_bridge -a bridge
  331. $(TCPPREP) -i test.pcap -o test.auto_client -a client
  332. $(TCPPREP) -i test.pcap -o test.auto_server -a server
  333. $(TCPPREP) --load-opts config -o test.prep_config
  334. $(TCPPREP) -i test.pcap -o test.port -p
  335. $(TCPPREP) -i test.pcap -o test.cidr -c '216.27.178.0/24'
  336. $(TCPPREP) -i test.pcap -o test.regex -r '216.27.178.*'
  337. $(TCPPREP) -i test.pcap -o test.comment -C "This is a comment" -p
  338. tcpprep: auto_router auto_bridge auto_client auto_server cidr regex port comment print_info print_comment prep_config
  339. tcprewrite: rewrite_cache rewrite_cidr rewrite_trunc rewrite_pad rewrite_rand rewrite_layer2 rewrite_config
  340. tcpreplay: replay_basic replay_cache replay_pps replay_rate replay_top replay_config replay_multi
  341. prep_config:
  342. $(PRINTF) "%s" "[tcpprep] Config mode test: "
  343. $(PRINTF) "%s\n" "*** [tcpprep] Config mode test: " >>test.log
  344. $(TCPPREP) $(ENABLE_DEBUG) --load-opts=config -o test.$@1 2>>test.log
  345. diff test.$@ test.$@1 >>test.log 2>&1
  346. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  347. auto_router:
  348. $(PRINTF) "%s" "[tcpprep] Auto/Router mode test: "
  349. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Router mode test: " >>test.log
  350. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a router 2>>test.log
  351. diff test.$@ test.$@1 >>test.log 2>&1
  352. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  353. auto_bridge:
  354. $(PRINTF) "%s" "[tcpprep] Auto/Bridge mode test: "
  355. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Bridge mode test: " >>test.log
  356. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a bridge 2>>test.log
  357. diff test.$@ test.$@1 >>test.log 2>&1
  358. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  359. auto_client:
  360. $(PRINTF) "%s" "[tcpprep] Auto/Client mode test: "
  361. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Client mode test: " >>test.log
  362. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a client 2>>test.log
  363. diff test.$@ test.$@1 >>test.log 2>&1
  364. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  365. auto_server:
  366. $(PRINTF) "%s" "[tcpprep] Auto/Server mode test: "
  367. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Server mode test: " >>test.log
  368. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a server 2>>test.log
  369. diff test.$@ test.$@1 >>test.log 2>&1
  370. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  371. regex:
  372. $(PRINTF) "%s" "[tcpprep] Regex mode test: "
  373. $(PRINTF) "%s\n" "*** [tcpprep] Regex mode test: " >>test.log
  374. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -r '216.27.178.*' 2>>test.log
  375. diff test.$@ test.$@1 >>test.log 2>&1
  376. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  377. cidr:
  378. $(PRINTF) "%s" "[tcpprep] CIDR mode test: "
  379. $(PRINTF) "%s\n" "*** [tcpprep] CIDR mode test: " >>test.log
  380. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -c '216.27.178.0/24' 2>>test.log
  381. diff test.$@ test.$@1 >>test.log 2>&1
  382. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  383. port:
  384. $(PRINTF) "%s" "[tcpprep] Port mode test: "
  385. $(PRINTF) "%s\n" "*** [tcpprep] Port mode test: " >>test.log
  386. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -p 2>>test.log
  387. diff test.$@ test.$@1 >>test.log 2>&1
  388. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  389. comment:
  390. $(PRINTF) "%s" "[tcpprep] Comment mode test: "
  391. $(PRINTF) "%s\n" "*** [tcpprep] Comment mode test: " >>test.log
  392. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -C "This is a comment" -p 2>>test.log
  393. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  394. print_comment:
  395. $(PRINTF) "%s" "[tcpprep] Print comment mode test: "
  396. $(PRINTF) "%s\n" "*** [tcpprep] Print comment mode test: " >>test.log
  397. $(TCPPREP) $(ENABLE_DEBUG) -P test.comment >test.$@1 2>>test.log
  398. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  399. print_info:
  400. $(PRINTF) "%s" "[tcpprep] Print info mode test: "
  401. $(PRINTF) "%s\n" "*** [tcpprep] Print info mode test: " >>test.log
  402. $(TCPPREP) $(ENABLE_DEBUG) -I test.comment >test.$@1 2>>test.log
  403. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  404. replay_basic:
  405. $(PRINTF) "%s" "[tcpreplay] Basic test: "
  406. $(PRINTF) "%s\n" "*** [tcpreplay] Basic test: " >>test.log
  407. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -t test.pcap >>test.log 2>&1
  408. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  409. replay_cache:
  410. $(PRINTF) "%s" "[tcpreplay] Cache test: "
  411. $(PRINTF) "%s\n" "*** [tcpreplay] Cache test: " >>test.log
  412. $(TCPREPLAY) $(ENABLE_DEBUG) -c test.cidr -i $(nic1) -I $(nic2) -t test.pcap >>test.log 2>&1
  413. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  414. rewrite_cidr:
  415. $(PRINTF) "%s" "[tcpreplay] CIDR test: "
  416. $(PRINTF) "%s\n" "*** [tcpreplay] CIDR test: " >>test.log
  417. $(TCPREPLAY) $(ENABLE_DEBUG) -C 216.27.178.0/24 -i $(nic1) -I $(nic2) -t test.pcap >>test.log 2>&1
  418. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  419. rewrite_trunc:
  420. $(PRINTF) "%s" "[tcpreplay] Truncate test: "
  421. $(PRINTF) "%s\n" "*** [tcpreplay] Truncate test: " >>test.log
  422. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -u trunc -t test.pcap >>test.log 2>&1
  423. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  424. rewrite_pad:
  425. $(PRINTF) "%s" "[tcpreplay] Pad test: "
  426. $(PRINTF) "%s\n" "*** [tcpreplay] Pad test: " >>test.log
  427. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -u pad -R test.pcap >>test.log 2>&1
  428. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  429. rewrite_rand:
  430. $(PRINTF) "%s" "[tcpreplay] Random IP test: "
  431. $(PRINTF) "%s\n" "*** [tcpreplay] Random IP test: " >>test.log
  432. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -s 666 -R test.pcap >>test.log 2>&1
  433. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  434. replay_include:
  435. $(PRINTF) "%s" "[tcpreplay] Include only test: "
  436. $(PRINTF) "%s\n" "*** [tcpreplay] Include only test: " >>test.log
  437. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -x P:1,5,7-53,88,93-100 -R test.pcap >>test.log 2>&1
  438. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  439. replay_exclude:
  440. $(PRINTF) "%s" "[tcpreplay] Exclude test: "
  441. $(PRINTF) "%s\n" "*** [tcpreplay] Exclude test: " >>test.log
  442. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -X P:1,5,7-53,88,93-100 -R test.pcap >>test.log 2>&1
  443. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  444. rewrite_layer2:
  445. $(PRINTF) "%s" "[tcpreplay] Layer2 test: "
  446. $(PRINTF) "%s\n" "*** [tcpreplay] Layer2 test: " >>test.log
  447. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -2 00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0 -R test.pcap >>test.log 2>&1
  448. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  449. replay_pps:
  450. $(PRINTF) "%s" "[tcpreplay] Packets/sec test: "
  451. $(PRINTF) "%s\n" "*** [tcpreplay] Packets/sec test: " >>test.log
  452. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -p 25 test.pcap >>test.log 2>&1
  453. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  454. replay_rate:
  455. $(PRINTF) "%s" "[tcpreplay] Mbps test: "
  456. $(PRINTF) "%s\n" "*** [tcpreplay] Mbps test: " >>test.log
  457. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -M 25.0 test.pcap >>test.log 2>&1
  458. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  459. replay_multi:
  460. $(PRINTF) "%s" "[tcpreplay] Multiplier test: "
  461. $(PRINTF) "%s\n" "*** [tcpreplay] Multiplier test: " >>test.log
  462. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -m 25.0 test.pcap >>test.log 2>&1
  463. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  464. replay_top:
  465. $(PRINTF) "%s" "[tcpreplay] Topspeed test: "
  466. $(PRINTF) "%s\n" "*** [tcpreplay] Topspeed test: " >>test.log
  467. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -t test.pcap >>test.log 2>&1
  468. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  469. datadump_mode:
  470. $(PRINTF) "%s" "[tcpreplay] Data dump mode test: "
  471. $(PRINTF) "%s\n" "*** [tcpreplay] Data dump mode test: " >>test.log
  472. $(TCPREPLAY) $(ENABLE_DEBUG) -D -i $(nic1) -j $(nic2) -w primary.data -W secondary.data -c test.cidr -R test.pcap >>test.log 2>&1
  473. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  474. replay_config:
  475. $(PRINTF) "%s" "[tcpreplay] Config file mode test: "
  476. $(PRINTF) "%s\n" "*** [tcpreplay] Config file mode test: " >>test.log
  477. $(TCPREPLAY) $(ENABLE_DEBUG) --load-opts=config test.pcap >>test.log 2>&1
  478. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  479. clean:
  480. rm -f *1 test.log core* *~ primary.data secondary.data
  481. distclean: clean
  482. rm -f Makefile config
  483. maintainer-clean: distclean
  484. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  485. # Otherwise a system limit (for SysV at least) may be exceeded.
  486. .NOEXPORT: